Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package ant
  Definition Classes
    tools
-  class Scalac extends ScalaMatchingTask with ScalacShared

  An Ant task to compile with the new Scala compiler (NSC).

  An Ant task to compile with the new Scala compiler (NSC).

  This task can take the following parameters as attributes:

  - `srcdir` (mandatory),
  - `srcref`,
  - `destdir`,
  - `classpath`,
  - `classpathref`,
  - `sourcepath`,
  - `sourcepathref`,
  - `bootclasspath`,
  - `bootclasspathref`,
  - `extdirs`,
  - `extdirsref`,
  - `argfile`,
  - `dependencyfile`,
  - `encoding`,
  - `target`,
  - `force`,
  - `fork`,
  - `logging`,
  - `logphase`,
  - `debuginfo`,
  - `addparams`,
  - `explaintypes`,
  - `deprecation`,
  - `nobootcp`,
  - `nowarn`,
  - `optimise`,
  - `unchecked`,
  - `usejavacp`,
  - `failonerror`,
  - `scalacdebugging`,

  It also takes the following parameters as nested elements:

  - `src` (for `srcdir`),
  - `classpath`,
  - `sourcepath`,
  - `bootclasspath`,
  - `extdirs`,
  - `compilerarg`.
  Definition Classes
    ant
- CompilerPhase
- Flag
- LoggingLevel
- PermissibleValue
- Target

o

scala.tools.ant.Scalac

# Flag 

###

#### object Flag extends PermissibleValue

Defines valid values for the `deprecation` and `unchecked` properties.

Source
  Scalac.scala

Linear Supertypes
PermissibleValue, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Flag
2. PermissibleValue
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def isPermissible(value: String): Boolean
    Definition Classes
      PermissibleValue
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toBoolean(flag: String): Option[Boolean]
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  val values: collection.immutable.List[String]
    Definition Classes
      Flag → PermissibleValue
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PermissibleValue

### Inherited from AnyRef

### Inherited from Any

### Ungrouped